unit AutoFillForm;

interface

uses
  Windows, Messages, Classes, Graphics, Controls, Forms,
  StdCtrls, IESnifferAutoFillUserInfo;

type
  TAutoFillFrm = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    LName: TLabel;
    LEmail: TLabel;
    LPhone: TLabel;
    EName: TEdit;
    EEMail: TEdit;
    EPhone: TEdit;
    LLine1: TLabel;
    LLine2: TLabel;
    LCity: TLabel;
    LState: TLabel;
    LZIP: TLabel;
    ELine1: TEdit;
    ELine2: TEdit;
    ECity: TEdit;
    EState: TEdit;
    EZIP: TEdit;
    ECountry: TComboBox;
    Label1: TLabel;
    OKBtn: TButton;
    CancelBtn: TButton;
    ECompany: TEdit;
    LCompany: TLabel;
    EFax: TEdit;
    LFax: TLabel;
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
  public
    AutoFillUserInfo: TIESnifferAutoFillUserInfo;
  end;

var
  AutoFillFrm: TAutoFillFrm;

implementation

{$R *.DFM}

procedure TAutoFillFrm.FormShow(Sender: TObject);
begin
  with AutoFillUserInfo, Fields do
   begin
    EName.Text := FullName;
    ECompany.Text := Company;
    EEMail.Text := Email;
    EPhone.Text := Phone;
    EFax.Text := Fax;

    ELine1.Text := AddressLine1;
    ELine2.Text := AddressLine2;
    ECity.Text := City;
    EState.Text := State;
    EZIP.Text := ZIPCode;
    ECountry.ItemIndex := ECountry.Items.IndexOf(Country);
   end;
end;

procedure TAutoFillFrm.OKBtnClick(Sender: TObject);
begin
  with AutoFillUserInfo, Fields do
   begin
    FullName := EName.Text;
    Company := ECompany.Text;
    Email := EEMail.Text;
    Phone := EPhone.Text;
    Fax := EFax.Text;

    AddressLine1 := ELine1.Text;
    AddressLine2 := ELine2.Text;
    City := ECity.Text;
    State := EState.Text;
    ZIPCode := EZIP.Text;
    Country := ECountry.Text;

    Save;
   end;
end;

end.
